# 44. التغيير: تعيين وسوم الحقل

تغيير (ميوتاشن) لتعيين "الوسوم" إلى "الحقل". يعمل التغيير في وضع الكتابة فوق (OVERWRITE)، مما يعني أن كل طلب سيستبدل جميع الوسوم الحالية بالوسوم الواردة في الطلب.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation SetFieldLabelsSample {
  setFieldLabels(
    input: {
      farmUuid: "<placeholder_of_farm_uuid>"
      uuid: "<placeholder_of_field_uuid>"
      labels: [{ name: "name1", value: "value1" }]
    }
  ) {
    uuid
    الاسم
    labels {
      الاسم
      value
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/44.-altghyyr-tayyn-wswm-alhql.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
